---
title: USBDevice.isochronousTransferIn()
slug: Web/API/USBDevice/isochronousTransferIn
tags:
  - API
  - Method
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - isochronousTransferIn
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>isochronousTransferIn()</code></strong> method of the {{domxref("USBDevice")}} interface returns a {{jsxref("promise")}} that resolves with a {{domxref("USBIsochronousInTransferResult")}} when time sensitive information has been transmitted received from the USB device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = USBDevice.isochronousTransferIn(<em>endpointNumber</em>, <em>packetLengths</em>) </pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>endpointNumber</dt>
 <dd>The number of a device-specific endpoint (buffer).</dd>
 <dt>packetLengths</dt>
 <dd>An array of lengths for the packets being received.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("promise")}} that resolves with a {{domxref("USBIsochronousInTransferResult")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-isochronoustransferin','isochronousTransferIn()')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.isochronousTransferIn")}}</p>
